Subject: [TR] HVDA Conversion, Issues?

From: Dan Cronin <[email-masked]>
Date: Wed, 16 Dec 2020 14:45:08 -0500

Folks
I have one of the older HVDA Toyota 5 speed to Triumph conversions (2006 vintage) that I am just now getting around to completing on my “55 TR2 Resto Mod and have noticed that the current (Moss) HVDA kits have changed out the McLoud 1400-20 Hydraulic TOB for a Quarter Master unit.  Anyone know why this change was made?  Have there been issues with the McLoud 1400 series TOB’s.  I have the McLoud unit adjusted properly and ready to mate up to the Fidanze alloy flywheel and LUK clutch and pressure plate and the upgraded TR4a motor, but would be interested in hearing from anyone (pro and con) concerning the McLoud units vs Quarter Master TOB’s.
** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]